﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Zaumzeug
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.Filter = "pdf files (*.pdf)|*.pdf|All files (*.*)|*.*";
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                textBox1.Text = openFileDialog1.FileName;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.CheckFileExists = false;
            openFileDialog1.Filter = "pdf files (*.pdf)|*.pdf|All files (*.*)|*.*";
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                textBox2.Text = openFileDialog1.FileName;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            byte[] zugferdData;

            //make a copy from source pdf
            File.Copy(textBox1.Text, textBox2.Text, true);

            //create ZUGFeRD and attach it to pdf
            Zaumzeug zz = new Zaumzeug();
            if (zz.CreateSampleZugferdXML(out zugferdData) == null)
            {
                Exception ex = zz.attachZUGFeRD(textBox2.Text, zugferdData);
                if (ex == null)
                    MessageBox.Show("ZUGFeRD eingebettet!");
                else
                    MessageBox.Show(ex.Message);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //create ZUGFeRD and attach it to pdf
            Zaumzeug zz = new Zaumzeug();
            if (File.Exists(textBox2.Text))
            {
                Exception ex = zz.showZUGFeRD(textBox2.Text);
                if (ex != null)
                    MessageBox.Show(ex.Message);
            }
            else
                MessageBox.Show("no file found");
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            EnableButtons();
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {
            EnableButtons();
        }

        private void EnableButtons()
        {
            try
            {
                button3.Enabled = button4.Enabled = false;

                if (File.Exists(textBox1.Text) && textBox2.Text.Length > 0)
                    button3.Enabled = button4.Enabled = true;
                else if (textBox2.Text.Length > 0)
                    button4.Enabled = true;
            }
            catch (Exception) { }
        }
    }
}
